Page MenuHomePhabricator

Missing libraries attribution in the app
Closed, ResolvedPublic1 Story Points

Description

  1. Go to "about the app"
  2. Press "Complete list" under "Libraries used"

Expected

See the list of libraries

Actual result

No libraries is shown

Device

iOS 10.0.1
iPhone 6s
5.2.0 (938)

--Testing--

  • load the app and tap the "gear" icon on the top left
  • tap the "About the app" item at the bottom of the Settings page
  • tap the "Complete list" link
  • when the list appears ensure it is not blank - it should be a fairly long list of libraries

Event Timeline

Restricted Application added subscribers: JEumerus, Aklapper. · View Herald TranscriptSep 15 2016, 10:35 AM
JoeWalsh claimed this task.Sep 21 2016, 2:19 PM
JoeWalsh moved this task from Ready for Development to Doing on the iOS-app-v5.3.0-Welsh-Dragon board.
JoeWalsh set the point value for this task to 1.
Mhurd updated the task description. (Show Details)Sep 22 2016, 7:09 PM

Device/app specs: iOS 10.0.1, iPhone 6s, app 5.2.1 (942). This has not been fixed yet in the current build so I moved it to the "Blocked or Waiting" section.

Josve05a added a comment.EditedSep 23 2016, 9:50 AM

If we are using libraries which are under specific licenses, we should not keep releasing builds until they are attributed. To do so otherwise is a breach of licenses...and Wikipedia is more than articles, but a free content/information etc. and not attributing is a breach of our main pillar... /me sad

To be honest, I do not like that the previous build was released in the stores despite this.

Agreed. Thats why this ticket if marked High and was fixed first. It should be fixed in the internal channel later today.

Unfortunately this took a little effort to fix because of some major changes to our code structure to support iOS 10. Since 5.2.1 was already code complete and in testing when you found this, I decided not to pull the submission to fix this, but to make it our first priority for the next version.

Testing on iPad Air 2 (iOS 10.0.1) and Wikipedia build 5.3.0 (953). The libraries attribution looks fixed as shown in the screencap below.

JMinor closed this task as Resolved.Oct 3 2016, 5:55 PM